cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
New Contributor

installer for Mac OS 10.7.5

Im trying to control an old Mac still running MAC OS 10.7.5.  The LogMeIn installer I tried to install said it worked only with 10.10 or later. The old Mac says all updates are installed.  Any idea how to either work around to get an newer OS on the 8 year old Mac or find a functioning LogMeIn installer that will install on a computer running Mac OX 10.7.5.? Thanks.